export path=($path $HOME/.config/dotfiles/bin)
export fpath=($fpath $ZDOTDIR/local/fpath)

source "$ZDOTDIR/dircolor.zsh"

source /usr/share/zsh-autosuggestions/zsh-autosuggestions.zsh

mkdir -p $HOME/.cache/zsh
autoload -Uz compinit bashcompinit
compinit -d $HOME/.cache/zsh/compdump
bashcompinit

for file in $ZDOTDIR/files/*.zsh; do source "$file"; done

[[ -f "$ZDOTDIR/local/rc.zsh" ]] && source "$ZDOTDIR/local/rc.zsh"

source /usr/share/zsh-syntax-highlighting/zsh-syntax-highlighting.zsh

export STARSHIP_CONFIG=$ZDOTDIR/starship.toml
eval "$(starship init zsh)"
